Bug 60575 - egcs test suite performs poorly on alpha ES40
egcs test suite performs poorly on alpha ES40
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: egcs (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Beth Uptagrafft
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-01 14:27 EST by Christopher Holmes
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-04 05:43:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Holmes 2002-03-01 14:27:58 EST
Description of Problem:

	egcs test suite performs poorly on alpha ES40

Version-Release number of selected component (if applicable):

	compat-egcs-6.2-1.1.2.16.src.rpm

How Reproducible:

	always

Steps to Reproduce:

Perform the following on both an Alpha and Intel platform for comparison:
1. rpm -i compat-egcs-6.2-1.1.2.16.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpm -ba compat-egcs.spec
4. cd /usr/src/redhat/BUILD/egcs-1.1.2/obj-alpha-linux
5. make -k check
6. compare the following Alpha files with the respective Intel files:
	./alpha-glibc21-linux/libio/testsuite/libio.{sum,log}
	./alpha-glibc21-linux/libstdc++/testsuite/libstdc++.{sum,log}
	./gcc/testsuite/gcc.{sum,log}
	./gcc/testsuite/g++.{sum,log}
	./gcc/testsuite/g77.{sum,log}


Actual Results (from the *.sum files):

g++.sum on alpha:
	# of expected passes		3497
	# of unexpected failures	718
	# of unexpected successes	6
	# of expected failures		86
	# of untested testcases		7
g++.sum on intel:
	# of expected passes		4222
	# of unexpected successes	1
	# of expected failures		84
	# of untested testcases		7

g77.sum on alpha:
	# of expected passes		414
	# of unexpected failures	1
g77.sum on intel:
	# of expected passes		415

gcc.sum on alpha:
	# of expected passes		7483
	# of unexpected failures	15
	# of expected failures		7
	# of unsupported tests		18
gcc.sum on intel:
	# of expected passes		7496
	# of unexpected failures	11
	# of expected failures		7
	# of unsupported tests		11

libio.sum on alpha:
	# of expected passes		7
	# of unexpected failures	11
	# of expected failures		22
libio.sum on intel:
	# of expected passes		40

libstdc++.sum on alpha:
	# of unexpected failures	10
	# of expected failures		20
libstdc++.sum on intel:
	# of expected passes		30

Expected Results:

Equivalent test result numbers between the two platforms.

Additional Information:
Comment 1 Jakub Jelinek 2002-03-04 05:43:47 EST
compat-egcs is compatibility compiler which means with the exception of
different file locations and driver names it is exactly the same compiler
as has been shipped with RHL 6.x. The goal was certainly not to fix bugs in it
if they weren't fixed in 6.x timeframe.
Comment 2 Beth Uptagrafft 2002-04-19 16:24:44 EDT
egcs is compatibility compiler which means with the exception of different file 
locations and driver names it is exactly the same compiler as has been shipped 
with RHL 6.x. Red Hat does not do any bug fixes on egcs, it is offered as is.  
On 4/17/02, John G and Ed agreed to close this case and remove it from 
punchlist.

Note You need to log in before you can comment on or make changes to this bug.